%global packname  rsconnect
%global rlibdir  %{_datadir}/R/library

# Not yet available.
%global with_suggests 0

Name:             R-%{packname}
Version:          0.8.13
Release:          2%{?dist}
Summary:          Deployment Interface for R Markdown Documents and Shiny Apps

License:          GPLv2
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-openssl, R-RCurl, R-jsonlite, R-packrat >= 0.4.8-1, R-yaml >= 2.1.5, R-rstudioapi >= 0.5
# Suggests:  R-knitr, R-testthat, R-rmarkdown >= 1.1, R-plumber >= 0.3.2, R-reticulate, R-shiny, R-sourcetools, R-xtable
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-openssl
Requires:         R-RCurl
Requires:         R-jsonlite
Requires:         R-packrat >= 0.4.8.1
Requires:         R-yaml >= 2.1.5
Requires:         R-rstudioapi >= 0.5
Suggests:         R-knitr
Suggests:         R-testthat
Suggests:         R-rmarkdown >= 1.1
%if %{with_suggests}
Suggests:         R-plumber >= 0.3.2
%endif
Suggests:         R-reticulate
Suggests:         R-shiny
Suggests:         R-sourcetools
Suggests:         R-xtable
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-openssl
BuildRequires:    R-RCurl
BuildRequires:    R-jsonlite
BuildRequires:    R-packrat >= 0.4.8.1
BuildRequires:    R-yaml >= 2.1.5
BuildRequires:    R-rstudioapi >= 0.5
BuildRequires:    R-knitr
BuildRequires:    R-testthat
BuildRequires:    R-rmarkdown >= 1.1
%if %{with_suggests}
BuildRequires:    R-plumber >= 0.3.2
%endif
BuildRequires:    R-reticulate
BuildRequires:    R-shiny
BuildRequires:    R-sourcetools
BuildRequires:    R-xtable

%description
Programmatic deployment interface for 'RPubs', 'shinyapps.io', and 'RStudio
Connect'. Supported content types include R Markdown documents, Shiny
applications, Plumber APIs, plots, and static web content.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
# Remove bundled fallback cert store.
rm inst/cert/cacert.pem
sed -i -e '/cacert.pem/d' MD5

# Remove extra shebang.
sed -i -e '1d' inst/resources/environment.py
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/cert
%{rlibdir}/%{packname}/examples
%{rlibdir}/%{packname}/resources


%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.13-1
- initial package for Fedora
